For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTAnalyze step results
      • GETList eval batches
      • POSTCompare evals
      • POSTCompare record across evals
      • GETGet eval group
      • STREAMStream eval execution
      • POSTSubmit eval
      • GETGet eval results
Dashboard
LogoLogo
Runtype APIEvals

Analyze step results

POST
/v1/eval/analyze-steps
POST
/v1/eval/analyze-steps
$curl -X POST https://api.runtype.com/v1/eval/analyze-steps \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "evalGroupId": "evalgrp_01jv0000000000000000000001",
> "searchTerms": [
> "error",
> "success",
> "completed",
> "failed"
> ],
> "stepIds": [
> "step_01jv0000000000000000000001"
> ],
> "caseSensitive": false
>}'
1{
2 "evalGroupId": "string",
3 "results": [
4 {
5 "batchExecutionId": "string",
6 "termAnalysis": [
7 {
8 "occurrenceRate": 1.1,
9 "stepsContainingTerm": 1,
10 "term": "string",
11 "totalOccurrences": 1
12 }
13 ],
14 "totalStepsAnalyzed": 1,
15 "evalName": "string"
16 }
17 ],
18 "searchTerms": [
19 "string"
20 ],
21 "stepIds": [
22 "string"
23 ]
24}

Analyze step results for keyword/phrase occurrences across evals.

Was this page helpful?
Previous

List eval batches

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
evalGroupIdstringRequired
searchTermslist of stringsRequired
stepIdslist of stringsRequired
caseSensitivebooleanOptional

Response

Analysis returned
evalGroupIdstring
resultslist of objects
searchTermslist of strings
stepIdslist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error